%define name cpio
%define version 2.6
%define release 5.1.20060mdk

Summary:	A GNU archiving program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Backup
URL:		http://www.gnu.org/software/cpio/
Source:		ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch2:		cpio-2.6-mtime.patch.bz2
Patch3:		cpio-2.6-svr4compat.patch.bz2
Patch4:		cpio-2.6-no-libnsl.patch.bz2
# (Abel) keep it for now, until somebody decides to drop this patch after investigation
Patch9:		cpio-2.4.2-errorcode.patch.bz2
Patch10:	cpio-2.6-i18n.patch.bz2
Patch11:	cpio-2.6-CAN-1999-1572.patch.bz2
Patch12:	cpio-2.6-compil-gcc4.patch.bz2
Patch13:	cpio-2.6-CVE-2005-4268.patch
Requires(post):	/sbin/install-info
Requires(preun):/sbin/install-info
Requires:	rmt
BuildRequires:	texinfo
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

%prep
%setup -q
%patch2 -p1 -b .mtime
%patch3 -p1 -b .svr4compat
%patch4 -p1 -b .no-libnsl
%patch10 -p1 -b .i18n
%patch11 -p0 -b .can19991572
%patch12 -p0 -b .compilgcc4
%patch13 -p1 -b .cve-2005-4268

# needed by patch4
autoconf

%build
%configure2_5x --bindir=/bin --with-rmt=/sbin/rmt CPPFLAGS=-DHAVE_LSTAT=1
%make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/mt.*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
/bin/cpio
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*

%changelog
* Fri Dec 23 2005 Vincent Danen <vdanen@mandriva.com> 2.6-5.1.20060mdk
- P13: security fix for CVE-2005-4268

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.6-5mdk
- Require rmt directly
- Fix compilation with gcc 4 (patch 12)

* Wed Apr 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.6-4mdk
- Add -DHAVE_LSTAT=1 to the C flags (bug #12970)

* Wed Mar 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.6-3mdk
- Add patch 11, security fix for CAN-1999-1572

* Thu Jan 06 2005 Stew Benedict <sbenedict@mandrake.org> 2.6-2mdk
- re-patch for LSB compliance 
-   subpatch of one provided by Mitsuru Chinen of OpenI18N (P10)
-   http://www.openi18n.org/subgroups/utildev/dli18npatch2.html

* Wed Dec 22 2004 Abel Cheung <deaddog@mandrake.org> 2.6-1mdk
- Drop P1 (errno), P10 (manpage location), P12 (i18n), fixed upstream
- Merge P11 into P3
- cpio is not using bundled error handling routine, so P9 is not useful now,
  but keep it in case somebody want to take a look
- Other spec cleanup
- P4 (fedora), no need to link with libnsl
- make check

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5-4mdk
- rebuild
- drop Prefix tag
- use %%make macro
- drop unapplied P7

* Sun Nov 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.5-3mdk
- LI18NUX/LSB compliance (patch12, disable patch7 - stdout patch)
- Deal with Installed (but unpackaged) file(s) - mt, rmt, man page

* Thu Jul 25 2002 Daouda LO <daouda@mandrakesoft.com> 2.5-2mdk
- better URL

* Wed Jul 24 2002 Daouda LO <daouda@mandrakesoft.com> 2.5-1mdk
- 2.5 release
- patches  #4(glibc 2_1 build), #5 (long dev), #8 (debian fix) merged upstream
- add URL 

* Sun Jun  2 2002 Stefan van der Eijk <stefan@eijk.nu> 2.4.2-21mdk
- BuildRequires

* Mon Jul  9 2001  Daouda Lo <daouda@mandrakesoft.com> 2.4.2-20mdk
- s|Copyright|License| 

* Mon Jul  9 2001  Daouda Lo <daouda@mandrakesoft.com> 2.4.2-19mdk
- apply RH/Debian patches.
- man updates/fixes 
- more fhs compliant.

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.2-18mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.2-17mdk
- BM
- more macros

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.2-16mdk
- clean a lot the spec (macros, install fix by Stefan van der Eijk
  <s.vandereijk@chello.nl>)
- use spechelper

* Sat Jul 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.2-16mdk
- fixed makeinstall problem
- some hassle getting the manpage in the right dir

* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 2.4.2-15mdk
- new Group: Archiving/Backup 


* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Specs files tweaks.
- Merge with rh patchs.
- fix infinite loop unpacking empty files with hard links (r).
- stdout chould contain progress information (r).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- longlong dev wrong with "-o -H odc" headers (formerly "-oc").

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to compile on glibc 2.1, where strdup is a macro

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump package.
- Don't include /bin/mt -- use the mt from mt-st package.
- Add prereq's

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- fix '-c' to duplicate svr4 behavior (problem #438)
- install support programs & info pages

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- removed "(used by RPM)" comment in Summary

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- no longer statically linked as RPM doesn't use cpio for unpacking packages
